System Requirements for Currently-Shipping Products


CacheRight

  • IIS 7.5 / Server 2008 R2 with Service Pack 1
  • IIS 7 / Server 2008 with Service Pack 2
  • IIS 6 / Server 2003 (all editions) with Service Pack 2
Compatible hardware:
  • x86 (32-bit)
  • x64 (64-bit)

The following runtimes are also required but can be installed by the CacheRight installer if not already present on the target system:


httpZip

  • IIS 7.5 / Server 2008 R2 with Service Pack 1
  • IIS 7 / Server 2008 with Service Pack 2
  • IIS 6 / Server 2003 (all editions) with Service Pack 2
Compatible hardware:
  • x86 (32-bit)
  • x64 (64-bit)

The following runtimes are also required but can be installed by the httpZip installer if not already present on the target system:

Notes:
  • IIS 5.0 Isolation (compatibility) Mode on IIS 6.0 / Server 2003 is not supported.
  • For IIS 7.x / Server 2008 installations, the following IIS Role Service must be installed:
    • ISAPI Filters

LinkDeny

  • IIS 7.5 / Server 2008 R2 with Service Pack 1
  • IIS 7 / Server 2008 with Service Pack 2
  • IIS 6 / Server 2003 (all editions) with Service Pack 2
Compatible hardware:
  • x86 (32-bit)
  • x64 (64-bit)

The following runtimes are also required but can be installed by the LinkDeny installer if not already present on the target system:

Notes:
  • The current LinkDeny installer does not support scenarios in which one or more IIS application pools are running in 32-bit mode on 64-bit hardware. Please contact Port80 Software Technical Support for additional information.
  • IIS 5.0 Isolation (compatibility) Mode on IIS 6.0 / Server 2003 is not supported.
  • For IIS 7.x / Server 2008 installations, the following IIS Role Services must be installed:
    • ISAPI Filters
    • IIS 6.0 Metabase Compatibility

ServerDefender VP

  • A compatible version of IIS and Windows:
    • IIS 8 / Server 2012
    • IIS 7.5 / Server 2008 R2 with Service Pack 1
    • IIS 7 / Server 2008 with Service Pack 2
    • IIS 6 / Server 2003 (all editions) with Service Pack 2
  • Compatible hardware:
    • x86 (32-bit)
    • x64 (64-bit)
Notes:
  • For scenarios in which one or more IIS application pools are running in 32-bit mode on 64-bit hardware, you must use the 64-bit installer.
  • IIS 5.0 Isolation (compatibility) Mode on IIS 6.0 / Server 2003 is not supported.
  • For IIS 7.x / Server 2008 installations, the following IIS Role Services must be installed:
    • ISAPI Filters
    • ISAPI Extensions

ServerMask

  • A compatible version of IIS and Windows:
    • IIS 7.5 / Server 2008 R2
    • IIS 7 / Server 2008
    • IIS 6 / Server 2003
Compatible hardware:
  • x86 (32-bit)
  • x64 (64-bit)

The following runtimes are also required but can be installed by the ServerMask installer if not already present on the target system:

Notes:
  • IIS 5.0 Isolation (compatibility) Mode on IIS 6.0 / Server 2003 is not supported.

ZipEnable

  • A compatible version of IIS and Windows:
    • IIS 6 / Server 2003 (all editions) with Service Pack 2
Compatible hardware:
  • x86 (32-bit)
  • x64 (64-bit)

The following runtimes are also required but can be installed by the ZipEnable installer if not already present on the target system:

Notes:
  • The current version of ZipEnable does not support scenarios in which IIS application pools are running in 32-bit mode on 64-bit hardware. Please contact Port80 Software Technical Support for additional information.
  • IIS 5.0 Isolation (compatibility) Mode on IIS 6.0 / Server 2003 is not supported.